import domain.Domain;

import java.util.Arrays;
import java.util.Comparator;
import java.util.List;
import java.util.function.BiFunction;
import java.util.function.BinaryOperator;
import java.util.stream.Collectors;

public class BinaryOperatorExamples {

  public static void main(String[] args) {
    biFunction();
    binaryOperator();
  }


  private static void binaryOperator() {
    BinaryOperator<Integer> binary = (x, y) -> x + y;
    binary.apply(2, 3);
  }

  private static void biFunction() {
    BiFunction<Integer, Integer, Integer> result = (x, y) -> x + y;
    System.out.println(result.apply(2, 3));
  }

}
